有馬総一郎のブログ

(彼氏の事情)

2021年02月17日 00:51:25 JST - 3 minute read - Comments - Audio Player

崇高なるミュージックプレイヤーとなるか!Sublime Music(でもまだ試せてない)

Google Play Musicのサービス停止に伴い、 SubsonicAirsonicJpsonicが再注目されているとかいないとか…

そんな訳はないだろうが、これだ!というクライアントアプリがないのがちょっと困ったちゃんである。 見た目がシンプルすぎてあれなのだが、 Jamstashの方が更新もいまだ頻繁にされていて、何気にSubsonicのクライアントアプリとしては頑張っている1

Jamstash
Jamstash

他に良いのないかなーと見ると Sublime Music なるものがあるらしい。Sublime Textのもじりかな?

まだ開発途中でベータ版ということだがArch Linux、 Manjaroなど使っている人ならAURが用意されているし、Debianのテスト用からインストールすることもできるらしい。

私もちょっとインストールしようとしたのだけど

$ sudo flatpak install sublime-music.flatpak
error: The application app.sublimemusic.SublimeMusic/x86_64/master requires the runtime org.gnome.Platform/x86_64/3.38 which was not found
$ wget http://ftp.br.debian.org/debian/pool/main/s/sublime-music/sublime-music_0.11.10-1_all.deb
$ sudo apt install ./sublime-music_0.11.10-1_all.deb 
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています                
状態情報を読み取っています... 完了
注意、'./sublime-music_0.11.10-1_all.deb' の代わりに 'sublime-music' を選択します
インストールすることができないパッケージがありました。おそらく、あり得
ない状況を要求したか、(不安定版ディストリビューションを使用しているの
であれば) 必要なパッケージがまだ作成されていなかったり Incoming から移
動されていないことが考えられます。
以下の情報がこの問題を解決するために役立つかもしれません:

以下のパッケージには満たせない依存関係があります:
 sublime-music : 依存: python3-dataclasses-json しかし、インストールすることができません
                 依存: python3-mpv しかし、インストールすることができません
                 推奨: python3-bottle しかし、インストールされようとしていません
                 推奨: python3-pychromecast しかし、インストールされようとしていません
E: 問題を解決することができません。壊れた変更禁止パッケージがあります。
$ sudo apt install python3-dataclasses-json python3-mpv python3-bottle python3-pychromecast
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています                
状態情報を読み取っています... 完了
E: パッケージ python3-dataclasses-json が見つかりません
E: パッケージ python3-mpv が見つかりません

となったので、まあいいやと諦めた。ベータ版だからね。でも早めの安定板リリースを待ち侘びている。


追記 2021-03-06
インストールに成功した。

追記ここまで


  1. 検索機能があるのが嬉しい。勿論、日本語対応している。 ↩︎